<style include="cr-shared-style">
  .card {
    background-color: var(--cr-card-background-color);
    border-radius: var(--cr-card-border-radius);
    box-shadow: var(--cr-card-shadow);
    flex: 1;
  }

  .secondary {
    color: var(--cr-secondary-text-color);
    font-weight: 400;
  }

  .section-header {
    color: var(--cr-primary-text-color);
    font-size: 108%;
    font-weight: 400;
    letter-spacing: .25px;
    margin-bottom: 12px;
    margin-top: var(--cr-section-vertical-margin);
    outline: none;
    padding-bottom: 4px;
    padding-top: 8px;
  }

  #page-container {
    box-sizing: border-box;
    display: block;
    height: inherit;
    margin: 0 auto;
    max-width: 550px;
    min-width: 400px;
    position: relative;
    width: calc(100% * var(--cr-centered-card-width-percentage));
  }

  #page-heading {
    font-size: 2rem;
    font-weight: 200;
    margin: 0;
    padding: 28px 0 14px 0;
    text-align: center;
  }
</style>

<settings-prefs prefs="{{prefs}}"></settings-prefs>
<div id="page-container">
  <h1 id="page-heading">$i18n{privacySandboxPageHeading}</h1>
  <picture>
    <source
        srcset="chrome://settings/images/privacy_sandbox_banner_dark.svg"
        media="(prefers-color-scheme: dark">
    <img id="banner" alt=""
        src="chrome://settings/images/privacy_sandbox_banner.svg">
  </picture>
  <div>
    <h2 class="section-header" tabindex="-1">
      $i18n{privacySandboxPageHeading}
    </h2>
  </div>
  <div>$i18n{privacySandboxPageHeading}</div>
  <div>
    <h2 class="section-header" tabindex="-1">
      $i18n{privacySandboxPageHeading}
    </h2>
  </div>
  <div>$i18n{privacySandboxPageHeading}</div>
  <div>
    <ul>
      <li><span>$i18n{privacySandboxPageHeading}</span></li>
      <li><span>$i18n{privacySandboxPageHeading}</span></li>
      <li><span>$i18n{privacySandboxPageHeading}</span></li>
    </ul>
  </div>
  <div>
    <h2 class="section-header" tabindex="-1">
      $i18n{privacySandboxPageHeading}
    </h2>
  </div>
  <div class="card">
    <settings-toggle-button id="toggleButton"
        pref="{{prefs.privacy_sandbox.apis_enabled}}"
        class="hr" label="$i18n{privacySandboxPageHeading}">
    </settings-toggle-button>
    <div class="cr-row continuation">
        <div class="secondary">$i18n{privacySandboxPageHeading}</div>
    </div>
    <div class="cr-row continuation">
        <div class="secondary">$i18n{privacySandboxPageHeading}</div>
    </div>
    <div class="cr-row continuation">
      <cr-button class="cr-button" id="learnMoreButton" role="button"
          tabindex="0" on-click="onLearnMoreButtonClick_">
        $i18n{passwordViewDetails}
      </cr-button>
    </div>
  </div>
</div>
